
QGIS Application - Bug report #19882

Crash when deleted a map object with an overview map selected in print composer

2018-09-18 04:23 PM - cris c

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.3 Regression?: No

Operating System: win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27706

Description

User Feedback

Using the print composer, deleted a map object with an overview map selected.

Map object was outside the layout boundary

Report Details

Crash ID: dd5ab29fc28fa8c5f8c4ebb56f069a46187f24e3

Stack Trace

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::dataChanged :

QgsLayoutModel::updateItemSelectStatus :

QgsLayout::deselectAll :

QgsLayoutViewToolSelect::layoutReleaseEvent :

QgsLayoutView::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-18 08:01 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-09-20 02:06 PM - Alessandro Pasotti

I cannot reproduce on current master/linux

#3 - 2018-09-20 03:07 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
